diff -urNad mysql-connector-odbc-5.1.13-src/BUILD.unix mysql-connector-odbc-5.1.12-src/BUILD.unix
--- mysql-connector-odbc-5.1.13-src/BUILD.unix	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/BUILD.unix	2013-01-24 18:58:34.000000000 +0200
@@ -94,36 +94,12 @@
  -DODBC_INCLUDES=/path/to/headers
  -DODBC_LIB_DIR=/path/to/libs
 
-And you might need to help cmake find the MySQL headers and libraries, 
-by setting the environment variable or additional parameters 
-MYSQL_INCLUDE_DIR, MYSQL_LIB_DIR or MYSQL_DIR to the appropriate location. 
-For example:
+And you might need to help cmake find the MySQL headers, by setting 
+the environment variable MYSQL_DIR to the appropriate location. For
+example:
 
- $ export MYSQL_INCLUDE_DIR=/usr/local/mysql/include
- $ export MYSQL_LIB_DIR=/usr/local/mysql/lib
  $ export MYSQL_DIR=/usr/local/mysql
   
-Mysql client library(libmysqlclient.a) is build statically with 
-MyODBC. If you want to build dynamically or want to specify mysql client 
-library name with which MyODBC should get linked, use MYSQLCLIENT_LIB_NAME 
-additional parameter with mysqlclient library name.
-
- -DMYSQLCLIENT_LIB_NAME=mysqlclient lib name with extension
- 
-In MyODBC, mysql_config is used to find MYSQL_INCLUDE_DIR, MYSQL_LIB_DIR, 
-MYSQL_LINK_FLAGS and MYSQL_CXXFLAGS each of which can be overriden if they 
-are provided as additional parameters in cmake. mysql_config location can 
-be specified using MYSQL_CONFIG_EXECUTABLE additional parameter.
-
- -DMYSQL_CONFIG_EXECUTABLE=/path/to/mysql_config
- -DMYSQL_LINK_FLAGS=mysql link flags
- -DMYSQL_CXXFLAGS=mysql C++ linkage flags
- 
-If you want to enable C++ linkage to mysql client library, then specify 
-MYSQL_CXX_LINKAGE to true. By default, MYSQL_CXX_LINKAGE is enabled for 
-mysql version greater then equal to 5.6.4
- -DMYSQL_CXX_LINKAGE=1
-
 Upon success, CMake will create the appropriate make files. Then,
 execute make:
 
diff -urNad mysql-connector-odbc-5.1.13-src/BUILD.win mysql-connector-odbc-5.1.12-src/BUILD.win
--- mysql-connector-odbc-5.1.13-src/BUILD.win	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/BUILD.win	2013-01-24 18:58:34.000000000 +0200
@@ -41,24 +41,10 @@
 and installs a shortcut into the Start menu to open a command prompt
 with these variables set.
 
-You need to set MYSQL_INCLUDE_DIR, MYSQL_LIB_DIR or MYSQL_DIR to point
-to where the MySQL server is installed, using the short-style filenames:
+You need to set MYSQL_DIR to point to where the MySQL server is
+installed, using the short-style filenames:
 
-  set MYSQL_INCLUDE_DIR=C:\PROGRA~1\MySQL\MYSQLS~1.0\include
-  set MYSQL_LIB_DIR=C:\PROGRA~1\MySQL\MYSQLS~1.0\lib
   set MYSQL_DIR=C:\PROGRA~1\MySQL\MYSQLS~1.0
- 
-Mysql client library(mysqlclient.lib) is build statically with 
-MyODBC. If you want to build dynamically or want to specify mysql client 
-library name with which MyODBC should get linked, use MYSQLCLIENT_LIB_NAME 
-additional parameter with mysqlclient library name.
-
- -DMYSQLCLIENT_LIB_NAME=mysqlclient lib name with extension
- 
-If you want to enable C++ linkage to mysql client library, then specify 
-MYSQL_CXX_LINKAGE to true. By default, MYSQL_CXX_LINKAGE is enabled for 
-mysql version greater then equal to 5.6.4
- -DMYSQL_CXX_LINKAGE=1
 
 Build Connector/ODBC using the "cmake" command-line tool by doing the
 following from the source root directory (in a command prompt window);
diff -urNad mysql-connector-odbc-5.1.13-src/ChangeLog mysql-connector-odbc-5.1.12-src/ChangeLog
--- mysql-connector-odbc-5.1.13-src/ChangeLog	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/ChangeLog	2013-01-24 18:58:34.000000000 +0200
@@ -1,43 +1,3 @@
-5.1.13
-
-  Functionality added or changed:
-  * Added new variable in cmake config files ODBCCP32_LIB for odbccpp32.lib path, 
-    and MYSQLCLIENT_LIB_NAME for linking mysqlclient statically or dynamically by 
-    specifying mysqlclient library (libmysql.*, mysqlclient.*, libmysqlclient_r.*, 
-    libmysqlclient.*) to be used. Mysql CPP linkage for mysql version >= 5.6.4 
-    (wl#6738)
-  * Added a new test module for crash bugs (my_crash.c)
-
-
-  Bugs fixed:
-  * query_print will cause core dump in 32-bit application 
-    (Bug #16367440/68201)
-  * Datetime and timestamp second fractions need removing the trailing 
-    zeros (Bug# 16294197/65418)
-  * Crash in SQLSetConnectAttr(SQL_ATTR_CURRENT_CATALOG) (Bug# 16526604/63844)
-  * Added CLEARTEXT authentication connection option ENABLE_CLEARTEXT_PLUGIN.
-    (Bug#16445091)
-  * Binding string to decimal parameter always uses system locale setting
-    (Bug# 11766369/59469)
-  * Driver use the char ';' as separator in attributes string instead 
-    of the '\0' (Bug# 15940689/66548)
-  * DSN connection parameters override those specified in the connection
-    string (Bug# 11760574/52996)
-  * MSSQL linked server connected to MySQL 5.1.9 driver causes hard crash
-    (Bug# 16604346/63386)
-  * Need to add a lock to access connections member in ENV structure
-    (Bug# 17240611/69864)
-  * Visual Studio 2010 crashes when reading rows from any table in Server 
-    Explorer (Bug# 17304031/69950)
-  * Corrected MYSQL_NUM_VERSION calculation error in FindMysql.cmake. 
-    MYSQL_LIB_DIR, MYSQL_INCLUDE_DIR, MYSQL_LINK_FLAGS and MYSQL_CXXFLAGS will
-    be obtained from mysql_config only when they are not provided using cmake 
-    options.
-  * Valgrind error, simple loop fix (Bug# 17397596/64105)
-
-
-----
-
 5.1.12 (16-Jan--2013)
 
   Functionality added or changed:
@@ -73,9 +33,8 @@
   Functionality added or changed:
   * MyODBC queries log is written to %TEMP%\myodbc.sql, or to C:\myodbc.sql if
     TEMP is not defined.
-  * Added pre-fetch functionality and PREFETCH connection string option 
-    implemented through LIMIT to avoid reading the entire resultset for full
-    table SELECT queries. (WL#6211)
+  * Added pre-fetch functionality implemented through LIMIT to avoid reading the
+    entire resultset for full table SELECT queries. (WL#6211)
 
   Bugs fixed:
   * Fractional parts of second is ignored in SQLGetData. (Bug #12767740/60646)
@@ -164,7 +123,6 @@
   * Added GUI options for MIN_DATE_TO_ZERO and ZERO_DATE_TO_MIN connection
     options. (Bug #30539)
   * Function SQLProcedureColumns() implemented. (Bug #50400)
-  * Added NO_I_S connection option.
 
   Bugs fixed:
   * If NO_BACKSLASH_ESCAPES mode is used on a server, escaping binary data
@@ -307,7 +265,6 @@
   * Added SSLVERIFY connection option to verify server certificate. By default
     certificate is not verified now. (Bug #34648)
   * Database list height is autoadjusted in Windows GUI. (Bug #33918)
-  * Added new connection string option DFLT_BIGINT_BIND_STR
 
   Bugs fixed:
   * Recordset-based update fails if blob field is queried. (Bug #19065)
diff -urNad mysql-connector-odbc-5.1.13-src/cmake/FindMySQL.cmake mysql-connector-odbc-5.1.12-src/cmake/FindMySQL.cmake
--- mysql-connector-odbc-5.1.13-src/cmake/FindMySQL.cmake	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/cmake/FindMySQL.cmake	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 #--------------------------------------------------------
-# Copyright (c) 2007, 2013, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2007, 2011, Oracle and/or its affiliates. All rights reserved.
 #
 # The MySQL Connector/ODBC is licensed under the terms of the GPLv2
 # <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
@@ -23,131 +23,19 @@
 
 ##########################################################################
 
-MACRO(_MYSQL_CONFIG VAR _regex _opt)
-   EXECUTE_PROCESS(COMMAND ${MYSQL_CONFIG_EXECUTABLE} ${_opt}
-       OUTPUT_VARIABLE _mysql_config_output
-       )
-   SET(_var ${_mysql_config_output})
-   STRING(REGEX MATCHALL "${_regex}([^ ]+)" _mysql_config_output "${_mysql_config_output}")
-   STRING(REGEX REPLACE "^[ \t]+" "" _mysql_config_output "${_mysql_config_output}")
-   STRING(REGEX REPLACE "[\r\n]$" "" _mysql_config_output "${_mysql_config_output}")
-   STRING(REGEX REPLACE "${_regex}" "" _mysql_config_output "${_mysql_config_output}")
-   SEPARATE_ARGUMENTS(_mysql_config_output)
-   SET(${VAR} ${_mysql_config_output})
-ENDMACRO(_MYSQL_CONFIG _regex _opt)
-
-
-MACRO(_MYSQL_CONFIG_REPLACE VAR _regex1 _replace _regex2 _opt)
-   EXECUTE_PROCESS(COMMAND ${MYSQL_CONFIG_EXECUTABLE} ${_opt}
-       OUTPUT_VARIABLE _mysql_config_output1
-       )
-   SET(_var ${_mysql_config_output1})
-   STRING(REGEX MATCHALL "${_regex2}([^ ]+)" _mysql_config_output1 "${_mysql_config_output1}")
-   STRING(REGEX REPLACE "^[ \t]+" "" _mysql_config_output1 "${_mysql_config_output1}")
-   STRING(REGEX REPLACE "[\r\n]$" "" _mysql_config_output1 "${_mysql_config_output1}")
-   STRING(REGEX REPLACE "${_regex2}" "" _mysql_config_output1 "${_mysql_config_output1}")
-   STRING(REGEX REPLACE "${_regex1}" "${_replace}" _mysql_config_output1 "${_mysql_config_output1}")
-   SET(${VAR} ${_mysql_config_output1})
-ENDMACRO(_MYSQL_CONFIG_REPLACE _regex1 _replace _regex2 _opt)
-
-
-IF (MYSQLCLIENT_LIB_NAME)
-  IF (${MYSQLCLIENT_LIB_NAME} MATCHES "libmysqlclient_r.a" 
-       OR ${MYSQLCLIENT_LIB_NAME} MATCHES "libmysqlclient.a" 
-       OR ${MYSQLCLIENT_LIB_NAME} MATCHES "mysqlclient*")
-    SET(MYSQLCLIENT_STATIC_LINKING 1)
-  ELSEIF (${MYSQLCLIENT_LIB_NAME} MATCHES "libmysqlclient_r.so" 
-           OR ${MYSQLCLIENT_LIB_NAME} MATCHES "libmysqlclient.so" 
-           OR ${MYSQLCLIENT_LIB_NAME} MATCHES "libmysql.*")
-    SET(MYSQLCLIENT_STATIC_LINKING 0)
-  ENDIF (${MYSQLCLIENT_LIB_NAME} MATCHES "libmysqlclient_r.a" 
-       OR ${MYSQLCLIENT_LIB_NAME} MATCHES "libmysqlclient.a" 
-       OR ${MYSQLCLIENT_LIB_NAME} MATCHES "mysqlclient*")
-ELSE (MYSQLCLIENT_LIB_NAME)
-  IF (WIN32)
-    SET(MYSQLCLIENT_LIB_NAME "mysqlclient.lib")
-  ELSE (WIN32)
-    SET(MYSQLCLIENT_LIB_NAME "libmysqlclient.a libmysqlclient_r.a")
-  ENDIF (WIN32)
-  SET(MYSQLCLIENT_STATIC_LINKING 1)
-ENDIF (MYSQLCLIENT_LIB_NAME)
-SEPARATE_ARGUMENTS(MYSQLCLIENT_LIB_NAME)
-
-
-IF (NOT MYSQL_CONFIG_EXECUTABLE AND NOT WIN32)
-  IF (EXISTS "$ENV{MYSQL_DIR}/bin/mysql_config")
-    SET(MYSQL_CONFIG_EXECUTABLE "$ENV{MYSQL_DIR}/bin/mysql_config")
-  ELSE (EXISTS "$ENV{MYSQL_DIR}/bin/mysql_config")
-    FIND_PROGRAM(MYSQL_CONFIG_EXECUTABLE
-      NAMES mysql_config
-      DOC "full path of mysql_config"
-      PATHS /usr/bin
-        /usr/local/bin
-        /opt/mysql/mysql/bin
-        /usr/local/mysql/bin
-    )
-  ENDIF (EXISTS "$ENV{MYSQL_DIR}/bin/mysql_config")
-ENDIF (NOT MYSQL_CONFIG_EXECUTABLE AND NOT WIN32)
- 
-
-IF(MYSQL_CONFIG_EXECUTABLE AND NOT WIN32)
-  MESSAGE(STATUS "mysql_config was found ${MYSQL_CONFIG_EXECUTABLE}")
-
-  EXECUTE_PROCESS(COMMAND ${MYSQL_CONFIG_EXECUTABLE} "--version"
-          OUTPUT_VARIABLE __MYSQL_VERSION
-          )
-
-  # Clean up so only numeric, in case of "-alpha" or similar
-  STRING(REGEX MATCHALL "([0-9]+.[0-9]+.[0-9]+)" MYSQL_VERSION "${__MYSQL_VERSION}")
-  # To create a fully numeric version, first normalize so N.NN.NN
-  STRING(REGEX REPLACE "[.]([0-9])[.]" ".0\\1." MYSQL_NUM_VERSION "${MYSQL_VERSION}")
-  STRING(REGEX REPLACE "[.]([0-9])$"   ".0\\1"  MYSQL_NUM_VERSION "${MYSQL_NUM_VERSION}")
-  # Finally remove the dot
-  STRING(REGEX REPLACE "[.]" "" MYSQL_NUM_VERSION "${MYSQL_NUM_VERSION}")
-
-  IF(MYSQL_CXX_LINKAGE OR MYSQL_NUM_VERSION GREATER 50603)
-    EXECUTE_PROCESS(COMMAND ${MYSQL_CONFIG_EXECUTABLE} "--cxxflags"
-            OUTPUT_VARIABLE _mysql_config_output
-            )
-    SET(MYSQL_CXX_LINKAGE 1)
-  ELSE (MYSQL_CXX_LINKAGE OR MYSQL_NUM_VERSION GREATER 50603)
-    EXECUTE_PROCESS(COMMAND ${MYSQL_CONFIG_EXECUTABLE} "--cflags"
-            OUTPUT_VARIABLE _mysql_config_output
-            )
-  ENDIF(MYSQL_CXX_LINKAGE OR MYSQL_NUM_VERSION GREATER 50603)
-
-  # Remove the stl4port dependency
-  STRING(REGEX REPLACE "-library=stlport4" "" _mysql_config_output "${_mysql_config_output}")
-
-  IF (NOT MYSQL_LINK_FLAGS)
-    STRING(REGEX MATCHALL "-m([^\r\n]+)" MYSQL_LINK_FLAGS "${_mysql_config_output}")
-  ENDIF (NOT MYSQL_LINK_FLAGS)
-  IF (NOT MYSQL_CXXFLAGS)
-    STRING(REGEX REPLACE "[\r\n]$" "" MYSQL_CXXFLAGS "${_mysql_config_output}")
-  ENDIF (NOT MYSQL_CXXFLAGS)
-#  ADD_DEFINITIONS("${MYSQL_CXXFLAGS}")
-ENDIF (MYSQL_CONFIG_EXECUTABLE AND NOT WIN32)
-
-
-#----------------- FIND MYSQL_INCLUDE_DIR -------------------
-IF(NOT MYSQL_INCLUDE_DIR AND MYSQL_CONFIG_EXECUTABLE AND NOT WIN32)
-  _MYSQL_CONFIG(MYSQL_INCLUDE_DIR "(^| )-I" "--include")
-ELSE(NOT MYSQL_INCLUDE_DIR AND MYSQL_CONFIG_EXECUTABLE AND NOT WIN32)
-  MESSAGE(STATUS "ENV{MYSQL_DIR} = $ENV{MYSQL_DIR}")
-  FIND_PATH(MYSQL_INCLUDE_DIR mysql.h
-    ${MYSQL_INCLUDE_DIR}
-    $ENV{MYSQL_INCLUDE_DIR}
-    $ENV{MYSQL_DIR}/include
-    /usr/include/mysql
-    /usr/local/include/mysql
-    /opt/mysql/mysql/include
-    /opt/mysql/mysql/include/mysql
-    /usr/local/mysql/include
-    /usr/local/mysql/include/mysql
-    $ENV{ProgramFiles}/MySQL/*/include
-    $ENV{SystemDrive}/MySQL/*/include)
-ENDIF(NOT MYSQL_INCLUDE_DIR AND MYSQL_CONFIG_EXECUTABLE AND NOT WIN32)
 
+#-------------- FIND MYSQL_INCLUDE_DIR ------------------
+FIND_PATH(MYSQL_INCLUDE_DIR mysql.h
+		$ENV{MYSQL_INCLUDE_DIR}
+		$ENV{MYSQL_DIR}/include
+		/usr/include/mysql
+		/usr/local/include/mysql
+		/opt/mysql/mysql/include
+		/opt/mysql/mysql/include/mysql
+		/usr/local/mysql/include
+		/usr/local/mysql/include/mysql
+		$ENV{ProgramFiles}/MySQL/*/include
+		$ENV{SystemDrive}/MySQL/*/include)
 
 #----------------- FIND MYSQL_LIB_DIR -------------------
 IF (WIN32)
@@ -163,171 +51,73 @@
 		ADD_DEFINITIONS(-DDBUG_OFF)
 	ENDIF (CMAKE_BUILD_TYPE STREQUAL Debug)
 
-  FIND_LIBRARY(MYSQL_LIB 
-    NAMES 
-      ${MYSQLCLIENT_LIB_NAME}
-    PATHS
-      ${MYSQL_LIB_DIR}
-      ${MYSQL_LIB_DIR}/lib/${libsuffixDist}
-      ${MYSQL_LIB_DIR}/lib  #mysqlclient may be in lib for some c/c distros
-      ${MYSQL_LIB_DIR}/libmysql/${libsuffixBuild}
-      ${MYSQL_LIB_DIR}/client/${libsuffixBuild}
-      $ENV{MYSQL_LIB_DIR}
-      $ENV{MYSQL_LIB_DIR}/lib/${libsuffixDist}
-      $ENV{MYSQL_LIB_DIR}/lib  #mysqlclient may be in lib for some c/c distros
-      $ENV{MYSQL_LIB_DIR}/libmysql/${libsuffixBuild}
-      $ENV{MYSQL_LIB_DIR}/client/${libsuffixBuild}
-      $ENV{MYSQL_DIR}/lib/${libsuffixDist}
-      $ENV{MYSQL_DIR}/lib  #mysqlclient may be in lib for some c/c distros
-      $ENV{MYSQL_DIR}/libmysql/${libsuffixBuild}
-      $ENV{MYSQL_DIR}/client/${libsuffixBuild}
-      $ENV{ProgramFiles}/MySQL/*/lib/${libsuffixDist}
-      $ENV{ProgramFiles}/MySQL/*/lib
-      $ENV{SystemDrive}/MySQL/*/lib/${libsuffixDist}
-      $ENV{SystemDrive}/MySQL/*/lib)
-
-  SET(MYSQL_LIBRARIES ${MYSQL_LIB}) 
-  IF(MYSQL_LIB)
-    GET_FILENAME_COMPONENT(MYSQL_LIB_DIR ${MYSQL_LIB} PATH)
-  ENDIF(MYSQL_LIB)
+	FIND_LIBRARY(MYSQL_LIB NAMES mysqlclient
+				 PATHS
+				 $ENV{MYSQL_DIR}/lib/${libsuffixDist}
+				 $ENV{MYSQL_DIR}/lib
+				 $ENV{MYSQL_DIR}/libmysql
+				 $ENV{MYSQL_DIR}/lib
+				 $ENV{MYSQL_DIR}/libmysql/${libsuffixBuild}
+				 $ENV{MYSQL_DIR}/client/${libsuffixBuild}
+				 $ENV{MYSQL_DIR}/libmysql/${libsuffixBuild}
+				 $ENV{ProgramFiles}/MySQL/*/lib/${libsuffixDist}
+				 $ENV{ProgramFiles}/MySQL/*/lib
+				 $ENV{SystemDrive}/MySQL/*/lib/${libsuffixDist})
 ELSE (WIN32)
-  IF (NOT MYSQL_LIB_DIR AND MYSQL_CONFIG_EXECUTABLE)
-    # In MySQL Server 5.6.10 "mysql_config" outputs -lssl
-                 # -lcrypto dependencies even if (as it is with the
-    # Oracle built binaries) OpenSSL is linked statically
-    # to the client library and no reference is needed.
-    # We remove the OpenSSL libraries if -DREMOVE_OPENSSL_DEP
-    # is given
-    IF (REMOVE_OPENSSL_DEP)
-       LIST(REMOVE_ITEM MYSQL_LIBRARIES "ssl" "crypto")
-    ENDIF (REMOVE_OPENSSL_DEP)
- 
-    FIND_LIBRARY(MYSQL_LIB 
-      NAMES 
-        ${MYSQLCLIENT_LIB_NAME}
-      PATHS
-        ${MYSQL_LIB_DIR}
-        ${MYSQL_LIB_DIR}/libmysql_r/.libs
-        ${MYSQL_LIB_DIR}/lib
-        ${MYSQL_LIB_DIR}/lib/mysql
-        $ENV{MYSQL_LIB_DIR}
-        $ENV{MYSQL_LIB_DIR}/libmysql_r/.libs
-        $ENV{MYSQL_LIB_DIR}/lib
-        $ENV{MYSQL_LIB_DIR}/lib/mysql
-        $ENV{MYSQL_DIR}/libmysql_r/.libs
-        $ENV{MYSQL_DIR}/lib
-        $ENV{MYSQL_DIR}/lib/mysql
-        ${MYSQL_CLIB_DIR}
-        ${MYSQL_CLIB_DIR}/libmysql_r/.libs
-        ${MYSQL_CLIB_DIR}/lib
-        ${MYSQL_CLIB_DIR}/lib/mysql
-        /usr/lib/mysql
-        /usr/local/lib/mysql
-        /usr/local/mysql/lib
-        /usr/local/mysql/lib/mysql
-        /opt/mysql/mysql/lib
-        /opt/mysql/mysql/lib/mysql)
-   
-    IF (MYSQLCLIENT_STATIC_LINKING)
-      _MYSQL_CONFIG_REPLACE(MYSQL_LIBRARIES 
-             "(mysqlclient|mysqlclient_r)" "${MYSQL_LIB}" "(^| )-l" "--libs")
-    ELSE (MYSQLCLIENT_STATIC_LINKING)
-      _MYSQL_CONFIG(MYSQL_LIBRARIES "(^| )-l" "--libs")
-    ENDIF (MYSQLCLIENT_STATIC_LINKING)
-
-    _MYSQL_CONFIG(MYSQL_CLIB_DIR "(^| )-L" "--libs")
-
-    IF (NOT MYSQL_LIB_DIR)
-      SET(MYSQL_LIB_DIR ${MYSQL_CLIB_DIR}) 
-    ENDIF (NOT MYSQL_LIB_DIR)
-  ELSE (NOT MYSQL_LIB_DIR AND MYSQL_CONFIG_EXECUTABLE)
-    FIND_LIBRARY(MYSQL_LIB 
-      NAMES 
-        ${MYSQLCLIENT_LIB_NAME}
-      PATHS
-        ${MYSQL_LIB_DIR}
-        ${MYSQL_LIB_DIR}/libmysql_r/.libs
-        ${MYSQL_LIB_DIR}/lib
-        ${MYSQL_LIB_DIR}/lib/mysql
-        $ENV{MYSQL_LIB_DIR}
-        $ENV{MYSQL_LIB_DIR}/libmysql_r/.libs
-        $ENV{MYSQL_LIB_DIR}/lib
-        $ENV{MYSQL_LIB_DIR}/lib/mysql
-        $ENV{MYSQL_DIR}/libmysql_r/.libs
-        $ENV{MYSQL_DIR}/lib
-        $ENV{MYSQL_DIR}/lib/mysql
-        /usr/lib/mysql
-        /usr/local/lib/mysql
-        /usr/local/mysql/lib
-        /usr/local/mysql/lib/mysql
-        /opt/mysql/mysql/lib
-        /opt/mysql/mysql/lib/mysql)
-
-    SET(MYSQL_LIBRARIES ${MYSQL_LIB})
-    IF(MYSQL_LIB)
-      GET_FILENAME_COMPONENT(MYSQL_LIB_DIR ${MYSQL_LIB} PATH)
-    ENDIF(MYSQL_LIB)
-  ENDIF (NOT MYSQL_LIB_DIR AND MYSQL_CONFIG_EXECUTABLE)
-
-  IF (MYSQLCLIENT_STATIC_LINKING AND
-      NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
-    LIST(APPEND MYSQL_LIBRARIES "rt")
-  ENDIF ()
+	FIND_LIBRARY(MYSQL_LIB NAMES mysqlclient_r
+				 PATHS
+				 $ENV{MYSQL_DIR}/libmysql_r/.libs
+				 $ENV{MYSQL_DIR}/lib
+				 $ENV{MYSQL_DIR}/lib/mysql
+				 /usr/lib/mysql
+				 /usr/local/lib/mysql
+				 /usr/local/mysql/lib
+				 /usr/local/mysql/lib/mysql
+				 /opt/mysql/mysql/lib
+				 /opt/mysql/mysql/lib/mysql)
 ENDIF (WIN32)
 
-# Optionally add more libraries from the command line
-# using -DEXTRA_MYSQL_DEP=...
-IF (EXTRA_MYSQL_DEP)
-   LIST(APPEND MYSQL_LIBRARIES ${EXTRA_MYSQL_DEP})
-ENDIF (EXTRA_MYSQL_DEP)
-
-SET(MYSQL_CLIENT_LIBS ${MYSQL_LIBRARIES})
+IF(MYSQL_LIB)
+	GET_FILENAME_COMPONENT(MYSQL_LIB_DIR ${MYSQL_LIB} PATH)
+ENDIF(MYSQL_LIB)
 
-SET(VERBOSE 1)
 IF (MYSQL_INCLUDE_DIR AND MYSQL_LIB_DIR)
 	SET(MYSQL_FOUND TRUE)
 
-  MESSAGE(STATUS "MySQL Include dir: ${MYSQL_INCLUDE_DIR}")
-  MESSAGE(STATUS "MySQL Library    : ${MYSQL_LIBRARIES}")
-  MESSAGE(STATUS "MySQL Library dir: ${MYSQL_LIB_DIR}")
-  MESSAGE(STATUS "MySQL CXXFLAGS: ${MYSQL_CXXFLAGS}")
-  MESSAGE(STATUS "MySQL Link flags: ${MYSQL_LINK_FLAGS}")
-  
-  IF (MYSQL_VERSION)
-    MESSAGE(STATUS "MySQL Version: ${MYSQL_VERSION}")
-  ELSE (MYSQL_VERSION)
-    IF(WIN32)
-      #SET(CMAKE_REQUIRED_LIBRARIES ${MYSQL_LIB})
-    ELSE(WIN32)
-      INCLUDE(CheckFunctionExists)
-      INCLUDE(CheckLibraryExists)
-      # For now this works only on *nix
-      SET(CMAKE_REQUIRED_LIBRARIES ${MYSQL_LIBRARIES})
-      SET(CMAKE_REQUIRED_INCLUDES ${MYSQL_INCLUDE_DIR})
-      CHECK_FUNCTION_EXISTS("mysql_set_character_set" HAVE_SET_CHARSET)
-      CHECK_LIBRARY_EXISTS(mysqlclient "mysql_set_character_set" ${MYSQL_LIB_DIR} HAVE_SET_CHARSET_IN_LIB)
-      SET(CMAKE_REQUIRED_LIBRARIES)
-      SET(CMAKE_REQUIRED_INCLUDES)
-      IF (HAVE_SET_CHARSET OR HAVE_SET_CHARSET_IN_LIB)
-        MESSAGE(STATUS "libmysql version - ok")
-      ELSE (HAVE_SET_CHARSET OR HAVE_SET_CHARSET_IN_LIB)
-        MESSAGE(FATAL_ERROR "Versions < 4.1.13 (for MySQL 4.1.x) and < 5.0.7 for (MySQL 5.0.x) are not supported. Please update your libraries.")
-      ENDIF (HAVE_SET_CHARSET OR HAVE_SET_CHARSET_IN_LIB)
-    ENDIF(WIN32)
-  ENDIF(MYSQL_VERSION)
-
-  MESSAGE(STATUS "MySQL Include dir: ${MYSQL_INCLUDE_DIR}")
-  MESSAGE(STATUS "MySQL Library dir: ${MYSQL_LIB_DIR}")
-  MESSAGE(STATUS "MySQL CXXFLAGS: ${MYSQL_CXXFLAGS}")
-  MESSAGE(STATUS "MySQL Link flags: ${MYSQL_LINK_FLAGS}")
-
 	INCLUDE_DIRECTORIES(${MYSQL_INCLUDE_DIR})
 	LINK_DIRECTORIES(${MYSQL_LIB_DIR})
 
+	FIND_LIBRARY(MYSQL_ZLIB zlib PATHS ${MYSQL_LIB_DIR})
+	FIND_LIBRARY(MYSQL_YASSL yassl PATHS ${MYSQL_LIB_DIR})
+	FIND_LIBRARY(MYSQL_TAOCRYPT taocrypt PATHS ${MYSQL_LIB_DIR})
+	IF (WIN32)
+		SET(MYSQL_CLIENT_LIBS mysqlclient)
+	ELSE (WIN32)
+		SET(MYSQL_CLIENT_LIBS mysqlclient_r)
+	ENDIF (WIN32)
+	IF (MYSQL_ZLIB)
+		SET(MYSQL_CLIENT_LIBS ${MYSQL_CLIENT_LIBS} zlib)
+	ENDIF (MYSQL_ZLIB)
+	IF (MYSQL_YASSL)
+		SET(MYSQL_CLIENT_LIBS ${MYSQL_CLIENT_LIBS} yassl)
+	ENDIF (MYSQL_YASSL)
+	IF (MYSQL_TAOCRYPT)
+		SET(MYSQL_CLIENT_LIBS ${MYSQL_CLIENT_LIBS} taocrypt)
+	ENDIF (MYSQL_TAOCRYPT)
+	IF (EXTRA_MYSQL_DEP)
+		SET(MYSQL_CLIENT_LIBS ${MYSQL_CLIENT_LIBS} ${EXTRA_MYSQL_DEP})
+	ENDIF (EXTRA_MYSQL_DEP)
+	# Added needed mysqlclient dependencies on Windows
+	IF (WIN32)
+		SET(MYSQL_CLIENT_LIBS ${MYSQL_CLIENT_LIBS} ws2_32)
+	ELSE (WIN32)
+		FIND_PACKAGE(Threads)
+		SET(MYSQL_CLIENT_LIBS ${MYSQL_CLIENT_LIBS} ${CMAKE_THREAD_LIBS_INIT})
+	ENDIF (WIN32)
+
+	MESSAGE(STATUS "MySQL Include dir: ${MYSQL_INCLUDE_DIR}  library dir: ${MYSQL_LIB_DIR}")
+	MESSAGE(STATUS "MySQL client libraries: ${MYSQL_CLIENT_LIBS}")
 ELSE (MYSQL_INCLUDE_DIR AND MYSQL_LIB_DIR)
-  IF(NOT WIN32)
-    MESSAGE(SEND_ERROR "mysql_config wasn't found, -DMYSQL_CONFIG_EXECUTABLE=...")
-  ENDIF(NOT WIN32)
-  MESSAGE(FATAL_ERROR "Cannot find MySQL. Include dir: ${MYSQL_INCLUDE_DIR}  library dir: ${MYSQL_LIB_DIR} cxxflags: ${MYSQL_CXXFLAGS}")
+	MESSAGE(FATAL_ERROR "Cannot find MySQL. Include dir: ${MYSQL_INCLUDE_DIR}  library dir: ${MYSQL_LIB_DIR}")
 ENDIF (MYSQL_INCLUDE_DIR AND MYSQL_LIB_DIR)
 
diff -urNad mysql-connector-odbc-5.1.13-src/cmake/FindODBC.cmake mysql-connector-odbc-5.1.12-src/cmake/FindODBC.cmake
--- mysql-connector-odbc-5.1.13-src/cmake/FindODBC.cmake	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/cmake/FindODBC.cmake	2013-01-24 18:58:34.000000000 +0200
@@ -1,4 +1,4 @@
-# Copyright (c) 2007, 2013, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2007, 2011, Oracle and/or its affiliates. All rights reserved.
 #
 # The MySQL Connector/ODBC is licensed under the terms of the GPLv2
 # <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
@@ -54,7 +54,6 @@
 IF(ODBC_LIB_DIR)
 
   SET(ODBC_LINK_FLAGS "-L${ODBC_LIB_DIR} -l${ODBCLIB} -l${ODBCINSTLIB}")
-  SET(ODBC_DRIVER_LINK_FLAGS "-L${ODBC_LIB_DIR} -l${ODBCINSTLIB}")
 
 ENDIF(ODBC_LIB_DIR)
 
diff -urNad mysql-connector-odbc-5.1.13-src/driver/CMakeLists.txt mysql-connector-odbc-5.1.12-src/driver/CMakeLists.txt
--- mysql-connector-odbc-5.1.13-src/driver/CMakeLists.txt	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/driver/CMakeLists.txt	2013-01-24 18:58:34.000000000 +0200
@@ -1,4 +1,4 @@
-# Copyright (c) 2007, 2013, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2007, 2012, Oracle and/or its affiliates. All rights reserved.
 #
 # The MySQL Connector/ODBC is licensed under the terms of the GPLv2
 # <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
@@ -43,25 +43,10 @@
 INSTALL(TARGETS myodbc5 DESTINATION ${LIB_SUBDIR})
 
 IF(WIN32)
-  IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
-    LINK_DIRECTORIES(${MYSQL_DIR}/lib/debug)
-    LINK_DIRECTORIES(${MYSQL_DIR}/lib)
-  ELSEIF(CMAKE_BUILD_TYPE STREQUAL "")
-    LINK_DIRECTORIES(${MYSQL_DIR}/lib/opt)
-    LINK_DIRECTORIES(${MYSQL_DIR}/lib)
-  ENDIF(CMAKE_BUILD_TYPE STREQUAL "Debug")
-
-  IF (MYSQLCLIENT_STATIC_LINKING)
-    SET_TARGET_PROPERTIES(myodbc5 PROPERTIES
-      LINK_FLAGS_DEBUG "/NODEFAULTLIB:LIBCMTD /NODEFAULTLIB:LIBCMT"
-      LINK_FLAGS_RELWITHDEBINFO "/NODEFAULTLIB:LIBCMT"
-      LINK_FLAGS_RELEASE "/NODEFAULTLIB:LIBCMT")
-  ENDIF (MYSQLCLIENT_STATIC_LINKING)
-
 	TARGET_LINK_LIBRARIES(myodbc5 myodbc3u
 				${MYSQL_CLIENT_LIBS} ${ODBCINSTLIB} ${SECURE32_LIB})
 ELSE(WIN32)
-	SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${ODBC_DRIVER_LINK_FLAGS}")
+	SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${ODBC_LINK_FLAGS}")
 	TARGET_LINK_LIBRARIES(myodbc5 ${MYSQL_CLIENT_LIBS} ${CMAKE_THREAD_LIBS_INIT} m)
 	TARGET_LINK_LIBRARIES(myodbc5 myodbc3u)
 
@@ -73,12 +58,9 @@
 
 ENDIF(WIN32)
 
-IF (MYSQL_CXX_LINKAGE)
-  SET_TARGET_PROPERTIES(myodbc5 PROPERTIES 
-        LINKER_LANGUAGE CXX
-        COMPILE_FLAGS "${MYSQLODBCCONN_COMPILE_FLAGS_ENV} ${MYSQL_CXXFLAGS}")
-ENDIF (MYSQL_CXX_LINKAGE)
-
+IF(MYSQL_CXX_LINKAGE)
+  SET_TARGET_PROPERTIES(myodbc5 PROPERTIES LINKER_LANGUAGE CXX)
+ENDIF(MYSQL_CXX_LINKAGE)
 
 GET_TARGET_PROPERTY(DRIVER_LOCATION myodbc5 LOCATION)
 
diff -urNad mysql-connector-odbc-5.1.13-src/driver/ansi.c mysql-connector-odbc-5.1.12-src/driver/ansi.c
--- mysql-connector-odbc-5.1.13-src/driver/ansi.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/driver/ansi.c	2013-01-24 18:58:34.000000000 +0200
@@ -563,13 +563,7 @@
     SQLINTEGER len= SQL_NTS;
     uint errors;
 
-    /* 
-      When SQLGetConnectAttr is called before connecting
-      dbc->ansi_charset_info and dbc->cxn_charset_info will be NULL,
-      so we can just copy the char_value as is.
-    */
-    if (dbc->ansi_charset_info && dbc->cxn_charset_info &&
-        dbc->ansi_charset_info->number != dbc->cxn_charset_info->number)
+    if (dbc->ansi_charset_info->number != dbc->cxn_charset_info->number)
     {
       char_value= sqlchar_as_sqlchar(dbc->cxn_charset_info,
                                      dbc->ansi_charset_info,
diff -urNad mysql-connector-odbc-5.1.13-src/driver/connect.c mysql-connector-odbc-5.1.12-src/driver/connect.c
--- mysql-connector-odbc-5.1.13-src/driver/connect.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/driver/connect.c	2013-01-24 18:58:34.000000000 +0200
@@ -232,14 +232,7 @@
 #if MYSQL_VERSION_ID >= 50610
   if (ds->can_handle_exp_pwd)
   {
-    //mysql_options(mysql, MYSQL_OPT_CAN_HANDLE_EXPIRED_PASSWORDS, (char *)&on);
-  }
-#endif
-
-#if (MYSQL_VERSION_ID >= 50527 && MYSQL_VERSION_ID < 50600) || MYSQL_VERSION_ID >= 50607
-  if (ds->enable_cleartext_plugin)
-  {
-    mysql_options(mysql, MYSQL_ENABLE_CLEARTEXT_PLUGIN, (char *)&on);
+    mysql_options(mysql, MYSQL_OPT_CAN_HANDLE_EXPIRED_PASSWORDS, (char *)&on);
   }
 #endif
 
@@ -520,16 +513,7 @@
    This also allows us to get pszDRIVER (if not already given).
   */
   if (ds->name)
-  {
-     ds_lookup(ds);
-    
-    /* 
-      If DSN is used:
-      1 - we want the connection string options to override DSN options
-      2 - no need to check for parsing erros as it was done before
-    */
-    ds_from_kvpair(ds, szConnStrIn, (SQLWCHAR)';');
-  }
+    ds_lookup(ds);
 #endif
 
   /* If FLAG_NO_PROMPT is not set, force prompting off. */
diff -urNad mysql-connector-odbc-5.1.13-src/driver/driver.c mysql-connector-odbc-5.1.12-src/driver/driver.c
--- mysql-connector-odbc-5.1.13-src/driver/driver.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/driver/driver.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,6 @@
 /*
-  Copyright (c) 2001, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2001, 2007 MySQL AB, 2010 Sun Microsystems, Inc.
+  Use is subject to license terms.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/driver/driver.h mysql-connector-odbc-5.1.12-src/driver/driver.h
--- mysql-connector-odbc-5.1.13-src/driver/driver.h	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/driver/driver.h	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2001, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2001, 2012, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
@@ -132,10 +132,6 @@
 # define ER_MUST_CHANGE_PASSWORD_LOGIN 1820
 #endif
 
-#ifndef CR_AUTH_PLUGIN_CANNOT_LOAD_ERROR
-# define CR_AUTH_PLUGIN_CANNOT_LOAD_ERROR 2059
-#endif
-
 /* Connection flags to validate after the connection*/
 #define CHECK_AUTOCOMMIT_ON	1  /* AUTOCOMMIT_ON */
 #define CHECK_AUTOCOMMIT_OFF	2  /* AUTOCOMMIT_OFF */
@@ -239,9 +235,6 @@
     /* connection we were allocated on */
     struct tagDBC *dbc;
   } exp;
-#ifdef THREAD
-  pthread_mutex_t lock;
-#endif
 } DESC;
 
 /* descriptor record */
@@ -332,9 +325,7 @@
   SQLINTEGER   odbc_ver;
   LIST	       *connections;
   MYERROR      error;
-#ifdef THREAD
-  pthread_mutex_t lock;
-#endif
+
 } ENV;
 
 
diff -urNad mysql-connector-odbc-5.1.13-src/driver/error.c mysql-connector-odbc-5.1.12-src/driver/error.c
--- mysql-connector-odbc-5.1.13-src/driver/error.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/driver/error.c	2013-01-24 18:58:34.000000000 +0200
@@ -272,7 +272,6 @@
             state= "08S01";
             break;
         case ER_MUST_CHANGE_PASSWORD_LOGIN:
-        case CR_AUTH_PLUGIN_CANNOT_LOAD_ERROR:
             state= "08004"; /* Server rejected the connection */
                             /* The data source rejected the establishment of the
                                connection for implementation-defined reasons. */
